> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Candidates



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/catalog-families/{familyId}/similar-item-candidates
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/similar-item-candidates:
    get:
      tags:
        - Catalog Similar Items
      summary: Find Candidates
      operationId: CatalogSimilarItemsController_findCandidates_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: cursor
          required: false
          in: query
          schema:
            maxLength: 4096
            type: string
        - name: search
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 255
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogSimilarItemCandidatesResponseDto'
components:
  schemas:
    CatalogSimilarItemCandidatesResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CatalogSimilarItemCandidateDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CatalogSimilarItemCandidateDto:
      type: object
      properties:
        familyId:
          type: string
        name:
          type: string
        imageUrl:
          type: string
          nullable: true
        productType:
          type: string
          nullable: true
        supplier:
          type: string
          nullable: true
        categoryId:
          type: string
        categoryName:
          type: string
      required:
        - familyId
        - name
        - imageUrl
        - productType
        - supplier
        - categoryId
        - categoryName

````